Bug 392143 - [regression] ”Save attachments…” is not offered anymore if multiple messages are selected
Summary: [regression] ”Save attachments…” is not offered anymore if multiple messages ...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-21 17:16 UTC by Jacopo De Simoi
Modified: 2019-08-27 11:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacopo De Simoi 2018-03-21 17:16:38 UTC
This option used to be there and it is now hidden as soon as multiple messages are selected
Comment 1 Burkhard Lück 2018-03-22 05:41:43 UTC
Ubuntu 17.10 kmail2 5.5.3 KDE Frameworks 5.43.0 Qt 5.9.1
Selecting multiple messages in the messagelist I have the option ”Save attachments…” in the context menu.
Please provide infos about your system and version of kmail + frameworks
Comment 2 Jacopo De Simoi 2018-03-23 02:05:33 UTC
I run gentoo with Qt 5.9.4 and I can reproduce the bug on the following two version combinations:

Kmail 5.7.3 - Frameworks 5.44.0
Kmail 5.7.3 (git Applications/17.12 branch) - Frameworks (git master)
Comment 3 Laurent Montel 2018-03-23 06:09:11 UTC
So we need more explanation.
Could you describe how do you reproduce bug please.
Here it works fine too but perhaps I don't test as you.
Thanks
Comment 4 Jacopo De Simoi 2018-03-24 03:20:48 UTC
I am afraid I am not doing anything too strange. 
In the message list, when only one message is selected, the context menu (right click) provides the option Save attachments…; as soon as one more message is selected, the option is hidden (sometimes with a noticeable delay so that I can actually see it in the context menu for a split second before disappearing)

I tried to debug it myself, but I have an hard time understanding where, in the source, the action is added to the context menu. 
I could only find “Save attachments” in src/searchdialog/searchwindow.cpp:241, but this is unrelated. 
If you point me to the method where the actions are updated, I can have a look myself

Thanks for your time
Comment 5 Laurent Montel 2019-08-27 11:24:36 UTC
Git commit 1ed64bf4065afae609592a0c48272e3ca0ce14db by Laurent Montel.
Committed on 27/08/2019 at 11:24.
Pushed by mlaurent into branch 'Applications/19.08'.

Fix Bug 409662 - Missing "Save Attachments..." from Multiple Emails

FIXED-IN: 5.12.1
Related: bug 409662

M  +2    -2    src/kmcommands.cpp
M  +1    -1    src/kmcommands.h
M  +2    -4    src/kmmainwidget.cpp
M  +1    -1    src/searchdialog/searchwindow.cpp

https://commits.kde.org/kmail/1ed64bf4065afae609592a0c48272e3ca0ce14db